## tolua++ 1.0.93+repack

=== SConstruct ===
import sys;
import os

tools = ['default']
if os.name == 'nt':
	tools = ['mingw']

env = Environment(tools = tools)

options_file = None
if sys.platform == 'linux2':
	options_file = "linux"

elif 'msvc' in env['TOOLS']:
	options_file = "msvc"
else:
	options_file = "posix"

opts = Options(["config_"+options_file+".py", "custom.py", "custom_"+options_file+".py"], ARGUMENTS)
opts.Add('CC', 'The C compiler.')
opts.Add('CXX', 'The C++ compiler (for the tests)')
opts.Add('CCFLAGS', 'Flags for the compiler.', ['-O2', '-Wall'])
opts.Add('LINK', 'The linker.')
opts.Add('LINKFLAGS', 'Linker flags.', [])
opts.Add('no_cygwin', 'Use -mno-cygwin to build using the mingw compiler on cygwin', 0)
opts.Add('LIBS', 'libraries', [])
opts.Add('LIBPATH', 'library path', [])

opts.Add('tolua_bin', 'the resulting binary', 'tolua++')
opts.Add('tolua_lib', 'the resulting library', 'tolua++')
opts.Add('TOLUAPP', 'the name of the tolua++ binary (to use with built_dev=1)', 'tolua++')

opts.Add('prefix', 'The installation prefix')
opts.Add('build_dev', 'Build for development (uses tolua to rebuild toluabind.c with the embeded scripts', 0)
opts.Add('build_failsafe', "Build using 'factory default' toluabind file (in case build_dev fails)", 0)
opts.Add('ENV', 'The environment variables')
opts.Add('shared', 'Build a shared object', False)
opts.Update(env)
Help(opts.GenerateHelpText(env))

def save_config(target, source, env):
	opts.Save('custom.py', env)

cust = env.Command('custom.py', [], save_config)
env.Alias('configure', [cust])

env['TOLUAPP_BOOTSTRAP'] = env['tolua_bin']+"_bootstrap"+env['PROGSUFFIX']

env['build_dev'] = int(env['build_dev'])

## detecting the install directory on win32
if 'msvc' in env['TOOLS'] and not (env.has_key('prefix') or env['prefix']):

	if env['MSVS'].has_key('PLATFORMSDKDIR'):
		env['prefix'] = env['MSVS']['PLATFORMSDKDIR']


SConscriptChdir(0)

############ helper builders
def pkg_scan_dep(self, target, source):

	import re

	## TODO: detectar si el archivo existe antes de abrirlo asi nomas
	pkg = open(source, "rt")

	for linea in pkg.xreadlines():
		dep = re.search("^[\t\w]*\$[cphl]file\s*\"([^\"]+)\"", linea)
		if dep:
			self.Depends(target, '#' + dep.groups()[0]);

			if dep.groups()[0][-4:] == '.pkg':
				# recursividad
				self.pkg_scan_dep(target, dep.groups()[0])


def make_tolua_code(self, target, source, pkgname = None, bootstrap = False, use_own = False, use_typeid=None):

	ptarget = Dir('.').path + '/' + target
	psource = Dir('.').path + '/' + source
	header = target[:-2] + '.h'
	pheader = Dir('.').path + '/' + header

	tolua = ""
	if bootstrap:
		if os.name == 'nt':
			tolua = 'bin\\'+self['TOLUAPP_BOOTSTRAP']
		else:
			tolua = 'bin/'+self['TOLUAPP_BOOTSTRAP']
		print("********* tolua is ", tolua)
	else:
		if use_own:
			if 'msvc' in self['TOOLS']:
				tolua = 'bin\\$tolua_bin'
			else:
				tolua = 'bin/$tolua_bin'
		else:
			tolua = "$TOLUAPP"

	if pkgname:
		pkgname = ' -n '+pkgname
	else:
		pkgname = ''

	if use_typeid:
		tolua = tolua+' -t'

	comando = tolua + ' -C -H ' + pheader + ' -o ' + ptarget + pkgname + ' ' + psource
	command = self.Command(target, source, comando)

	self.SideEffect(header, target)
	self.Depends(target, source)

	self.pkg_scan_dep(target, psource)

	if bootstrap:
		self.Depends(target, "#/bin/$TOLUAPP_BOOTSTRAP")
	if use_own:
		self.Depends(target, "#/bin/$tolua_bin")
	
	return command


env.__class__.LuaBinding = make_tolua_code;
env.__class__.pkg_scan_dep = pkg_scan_dep;

def print_install_error(target, source, env):

	msg = """Error: no install prefix was specified, or detected.

you can use the 'prefix' option on command line to specify one. Examples:

	scons prefix=/usr/local install

or on Windows:

	scons "prefix=c:\\program files\\visual basic" install

Files will be installed on <prefix>/bin, <prefix>/lib and <prefix>/include
"""
	import SCons.Errors
	raise SCons.Errors.UserError(msg)

########### end of helper builders

env['CPPPATH'] = '#/include'
env['LIBPATH'] =  ['#/lib'] + env['LIBPATH']

if env['no_cygwin']:

	env['CCFLAGS'] += ['-mno-cygwin']
	env['LINKFLAGS'] += ['-mno-cygwin']

import string

Export('env')

SConscript('src/lib/SCsub')
SConscript('src/bin/SCsub')
#SConscript('src/lib/SCsub')
SConscript('src/tests/SCsub')

env.Alias('all', [env.bin_target, env.lib_target])
env.Alias('test', env.test_targets)

Default('all')

if env['prefix']:
	env.Install(env['prefix']+'/bin', env.bin_target)
	env.Install(env['prefix']+'/lib', env.lib_target)
	env.Install(env['prefix']+'/include', '#include/tolua++.h')

	env.Alias('install', [env['prefix']+'/bin', env['prefix']+'/include', env['prefix']+'/lib'])
else:
	env.Command('install', [], print_install_error)
	env.Depends('install', 'all')

env.Command('deb', [], 'dpkg-buildpackage -I.svn -Icustom.py -Itoluabind_dev.c -Itoluabind_dev.h -Itoluabind_default.o -Icustom.lua -I.sconsign', ENV=os.environ)

## tolua++ 1.0.93

=== debian/changelog ===
tolua++ (1.0.93-5) unstable; urgency=medium

  * QA upload.
  * Refresh packaging:
    + Bump Standards-Version to 4.6.1.
    + Bump debhelper compat to v13.
    + Update Vcs-* fields and migrate to Debian Salsa. (Closes: #896679)

 -- Boyuan Yang <byang@debian.org>  Wed, 21 Dec 2022 14:51:39 -0500

tolua++ (1.0.93-4) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #968537)

 -- Marcos Talau <talau@debian.org>  Mon, 14 Nov 2022 08:34:43 -0300

tolua++ (1.0.93-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Take from Fedora patch for fix FTBFS with scons 3.1.2.
    (Closes: #947583)
  * Bump minimal dh version to 9.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Wed, 20 May 2020 11:39:04 +0200

tolua++ (1.0.93-3) unstable; urgency=low

  * Adopt package. (Closes: #632654)
  * Change priority from extra to optional.
  * Fix DEP-5 related lintian warnings.
  * Switch to dh 7 "rules.tiny" style debian/rules.
  * Add debian/patches/fix-spelling-errors.patch to fix spelling errors
    detected by lintian (spelling-error-in-binary).
  * Add doc-base entry.
  * Add Vcs-* entries in debian/control.
  * Bump Standards-Version to 3.9.3; no changes required.
  * Bump dh compat level from 5 to 7.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Tue, 08 May 2012 22:40:40 -0700

tolua++ (1.0.93-2) unstable; urgency=low

  * QA upload.
  * debian/control:
    - Set Maintainer to Debian QA group.
    - Remove Vcs-* fields.
    - Bump Standards-Version to 3.9.2; no changes required.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 23 Jul 2011 17:32:07 +0200

tolua++ (1.0.93-1) unstable; urgency=low

  * Initial release (Closes: #446020)
  * Add patch debian/patches/bump_version.patch:
    fix upstream version number (should be 1.0.93)

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Mon, 22 Feb 2010 12:24:42 +0100

=== debian/control ===
Source: tolua++
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 liblua5.1-dev,
 scons,
Standards-Version: 4.6.1
Homepage: http://www.codenix.com/~tolua/
Vcs-Git: https://salsa.debian.org/debian/toluaplusplus.git
Vcs-Browser: https://salsa.debian.org/debian/toluaplusplus

Package: libtolua++5.1-dev
Section: libdevel
Architecture: any
Depends: liblua5.1-dev, ${misc:Depends}, ${shlibs:Depends}
Description: extended tool to integrate C/C++ code with Lua (devel)
 tolua++5.1 is an extension of toLua, a tool to integrate C/C++ code with
 Lua. tolua++5.1 includes new features oriented to c++, such as class
 templates and is compiled with the newest lua 5.1.
 .
 Based on a "cleaned" header file, tolua++ automatically generates
 the binding code to access C/C++ features from Lua. Using Lua-5.1 API and
 metamethod facilities, the current version automatically maps C/C++
 constants, external variables, functions, namespace, classes, and methods
 to Lua. It also provides facilities to create Lua modules.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ 

execute_before_dh_clean:
	scons -c all configure
	rm -f ./.sconsign.dblite ./src/bin/toluabind.h

override_dh_auto_configure:
	cp $(CURDIR)/debian/custom.py $(CURDIR)
	scons prefix=$(CURDIR)/debian/libtolua++5.1-dev/usr configure

override_dh_auto_build:
	scons all

override_dh_auto_install:
	scons install

## tolua++ 1.0.93+repack

=== debian/changelog ===
tolua++ (1.0.93+repack-0ubuntu2) groovy; urgency=medium

  * Use the debian packaging, with Ubuntu version number to fix build failures
    and grab new fixes from Debian.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 06 Jun 2020 11:57:11 +0200

## tolua++ 1.0.94+repack-0maemo1~fremantle

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

UPSTREAM_VERSION := $(shell uscan --force-download --dehs --no-symlink | \
   	      sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')

get-orig-source:
	tar xjf ../tolua++-$(UPSTREAM_VERSION).tar.bz2
	GZIP=-9 tar czf ../tolua++_$(UPSTREAM_VERSION)+repack.orig.tar.gz \
		--exclude debian tolua++-$(UPSTREAM_VERSION)
	rm -r ../tolua++-$(UPSTREAM_VERSION).tar.bz2 tolua++-$(UPSTREAM_VERSION)

configure: config-stamp

config-stamp:
	dh_testdir

	cp $(CURDIR)/debian/custom.py $(CURDIR)

	scons prefix=$(CURDIR)/debian/libtolua++5.1-dev/usr configure

	touch $@

build: build-stamp

build-stamp: config-stamp
	dh_testdir

	scons all

	touch $@

clean:
	dh_testdir
	dh_testroot

	rm -f build-stamp config-stamp

	scons -c all configure

	rm -f ./.sconsign.dblite ./src/bin/toluabind.h

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k

	scons install

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installman debian/tolua++5.1.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: configure build clean binary-indep binary-arch binary install get-orig-source

## tolua++ 1.0.94-1

=== SConstruct ===
--- 
+++ 
@@ -176,5 +176,5 @@
 	env.Command('install', [], print_install_error)
 	env.Depends('install', 'all')
 
-env.Command('deb', [], 'dpkg-buildpackage -I.svn -Icustom.py -Itoluabind_dev.c -Itoluabind_dev.h -Itoluabind_default.o -Icustom.lua -I.sconsign', ENV=os.environ)
+env.Command('deb', [], 'dpkg-buildpackage -rfakeroot -sa -I.git -I.svn -Icustom.py -Itoluabind_dev.c -Itoluabind_dev.h -Itoluabind_default.o -Icustom.lua -I.sconsign -klance.colton@gmail.com', ENV=os.environ)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	scons build_dev=0 prefix=$(CURDIR)/debian/tolua++/usr configure

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)
	scons all
	#docbook-to-man debian/tolua++.sgml > tolua++.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean
	scons -c build_dev=0 all configure

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tolua++.
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/tolua++
	scons install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
